# QuotaApi

All URIs are relative to *<https://dns.de-fra.ionos.com>*

| Method                    | HTTP request   | Description              |
| ------------------------- | -------------- | ------------------------ |
| [**QuotaGet**](#QuotaGet) | **Get** /quota | Retrieve resources quota |

## QuotaGet

```go
var result Quota = QuotaGet(ctx)
                      .Execute()
```

Retrieve resources quota

### Example

```go
package main

import (
    "context"
    "fmt"
    "os"

    ionoscloud "github.com/ionos-cloud/sdk-go-dns"
)

func main() {

    configuration := ionoscloud.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
    apiClient := ionoscloud.NewAPIClient(configuration)
    resource, resp, err := apiClient.QuotaApi.QuotaGet(context.Background()).Execute()
    if err != nil {
        fmt.Fprintf(os.Stderr, "Error when calling `QuotaApi.QuotaGet``: %v\n", err)
        fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
    }
    // response from `QuotaGet`: Quota
    fmt.Fprintf(os.Stdout, "Response from `QuotaApi.QuotaGet`: %v\n", resource)
}
```

### Path Parameters

This endpoint does not need any parameter.

### Other Parameters

Other parameters are passed through a pointer to an apiQuotaGetRequest struct via the builder pattern

### Return type

[**Quota**](https://docs.ionos.com/sections-test/go-sdk/dns-go-sdk/models/quota)

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

### URLs Configuration per Operation

Each operation can use different server URL defined using `OperationServers` map in the `Configuration`. An operation is uniquely identified by `"QuotaApiService.QuotaGet"` string. Similar rules for overriding default operation server index and variables apply by using `sw.ContextOperationServerIndices` and `sw.ContextOperationServerVariables` context maps.

```golang
ctx := context.WithValue(context.Background(), {packageName}.ContextOperationServerIndices, map[string]int{
    "QuotaApiService.QuotaGet": 2,
})
ctx = context.WithValue(context.Background(), {packageName}.ContextOperationServerVariables, map[string]map[string]string{
    "QuotaApiService.QuotaGet": {
    "port": "8443",
},
})
```
